# Uses of Interface
org.opensaml.saml.saml2.core.NewEncryptedID

Packages that use NewEncryptedID
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.saml.saml2.profile.impl
Implementations of SAML 2.0 profile behavior.

## Uses of NewEncryptedID in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return NewEncryptedID
Modifier and Type
Method
Description
`NewEncryptedID`
ManageNameIDRequest.`getNewEncryptedID()`
Get the NewEncryptedID of the request.
Methods in org.opensaml.saml.saml2.core with parameters of type NewEncryptedID
Modifier and Type
Method
Description
`void`
ManageNameIDRequest.`setNewEncryptedID(NewEncryptedID newNewEncryptedID)`
Set the NewEncryptedID of the request.

## Uses of NewEncryptedID in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement NewEncryptedID
Modifier and Type
Class
Description
`class`
`NewEncryptedIDImpl`
A concrete implementation of `NewEncryptedID`.
Fields in org.opensaml.saml.saml2.core.impl declared as NewEncryptedID
Modifier and Type
Field
Description
`private NewEncryptedID`
ManageNameIDRequestImpl.`newEncryptedID`
NameID child element.
Methods in org.opensaml.saml.saml2.core.impl that return NewEncryptedID
Modifier and Type
Method
Description
`NewEncryptedID`
NewEncryptedIDBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NewEncryptedID`
NewEncryptedIDBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`NewEncryptedID`
ManageNameIDRequestImpl.`getNewEncryptedID()`
Get the NewEncryptedID of the request.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type NewEncryptedID
Modifier and Type
Method
Description
`void`
ManageNameIDRequestImpl.`setNewEncryptedID(NewEncryptedID newNewEncryptedID)`
Set the NewEncryptedID of the request.

## Uses of NewEncryptedID in org.opensaml.saml.saml2.encryption

Methods in org.opensaml.saml.saml2.encryption that return NewEncryptedID
Modifier and Type
Method
Description
`NewEncryptedID`
Encrypter.`encrypt(NewID newID)`
Encrypt the specified NewID.
Methods in org.opensaml.saml.saml2.encryption with parameters of type NewEncryptedID
Modifier and Type
Method
Description
`NewID`
Decrypter.`decrypt(NewEncryptedID newEncryptedID)`
Decrypt the specified NewEncryptedID.

## Uses of NewEncryptedID in org.opensaml.saml.saml2.profile.impl

Methods in org.opensaml.saml.saml2.profile.impl with parameters of type NewEncryptedID
Modifier and Type
Method
Description
`private NewID`
DecryptNameIDs.`processNewEncryptedID(ProfileRequestContext profileRequestContext, NewEncryptedID encID)`
Decrypt a `NewEncryptedID` and return the result.